# Calculator 🧮 Android App 

<a href="https://www.android.com/" target="_blank"> <img src="https://raw.githubusercontent.com/devicons/devicon/master/icons/android/android-plain.svg" alt="Android" width="40" height="40"/></a>   <a href="https://kotlinlang.org/" target="_blank"><img src="https://raw.githubusercontent.com/devicons/devicon/master/icons/kotlin/kotlin-original.svg" alt="Kotlin" width="40" height="40"/></a>
  
  
## 🔗 Download the App 

<a href="https://play.google.com/store/apps/details?id=com.mrayush.calculator"><img src="https://cdn.mrayush.me/image/dev/Google_Play_Store_badge.png" width="20%" /></a>
 
## 🤔 What is this App
 
✍️ This will basically provide simple and advanced mathematical functions in a beautifully designed app.

<h1 align=center> Project Admin 🤵</h1>
  <p align="center">
  <a href="https://github.com/AyushAgnihotri2025"><img src="https://avatars.githubusercontent.com/u/106915790" width="11%" /></a>

  <p align="center">
  <a target="_blank" href="https://www.linkedin.com/in/ayushagnihotri2025/"><img src="https://img.shields.io/badge/linkedin-%230077B5.svg?&style=for-the-badge&logo=linkedin&logoColor=white" /></a>&nbsp;&nbsp;&nbsp;&nbsp;
  <a href="mrayushcontact@gmail.com"><img src="https://img.shields.io/badge/gmail-%23D14836.svg?&style=for-the-badge&logo=gmail&logoColor=white" /></a>&nbsp;&nbsp;&nbsp;&nbsp;
  <a href="https://www.instagram.com/ayushagnihotri2025/"><img src="https://img.shields.io/badge/instagram-%23D14836.svg?&style=for-the-badge&logo=instagram&logoColor=pink" /></a>&nbsp;&nbsp;&nbsp;&nbsp;
</p>

<h1 align=center>Projects Contributors ✨ </h1>

**Thanks goes to these wonderful people ❤️**

<br>
<a href="https://github.com/AyushAgnihotri2025/Calculator/graphs/contributors">
    <img src="https://contrib.rocks/image?repo=AyushAgnihotri2025/Calculator" />
</a>
<br>

</a>

<h1 align=center>Screenshots 📸</h1>

||||
|:----------------------------------------:|:-----------------------------------------:|:-----------------------------------------:|
| ![Calculator](https://play-lh.googleusercontent.com/QvQqFNpPJNVtYp8nqxrQykh2bNuiAK6s8273yJGNEaHCzeL3RuXpu9NgrDBN2n6vw6w) | ![Calculator](https://play-lh.googleusercontent.com/fWMY38OCf6FMfbjk1T97I3g58KlLdQ_9ZHP-CVb8iuHt7kEOrRY3ikjJ4JPiZdOnmi4) | ![Calculator](https://play-lh.googleusercontent.com/loqdrey0mCp9MwgdqHav83Zho9qaLLMUsNLXh3NhchP5ljvPZRqJ2iZrF6I_CbbHtg) |
| ![Calculator](https://play-lh.googleusercontent.com/p36LBGYbvLFqEUZobbZuLh84Yj9YvirGrGmW9yrZ-e_O_WEUBs35p2H7aGv7neXNtd8w) | ![Calculator](https://play-lh.googleusercontent.com/gIFfYbOFV1-WfqLGYMrOMiLpSFM7JtySnL1h_J8FupvKYZwzzVwq55Y1cQ8DFze9LLE) | ![Calculator](https://play-lh.googleusercontent.com/W0P0vybL2rDk4kCgMgbfZ_0jUAPUjTly-OV6PINI_8J2NX_BO2OsLfykEpFZJtXUlAq6) |
| | ![Calculator](https://play-lh.googleusercontent.com/UC2FU-K6OSqtvl70StyvX1SXgibCJgt7GZQTYkdVIqeOsSHZjaL-e3NLNs_t4rjYHa0) |

# 📜App Description
  
Calculator provides simple and advanced mathematical functions in a beautifully designed app.

• Perform basic calculations such as addition, subtraction, multiplication, and division.
  
# 🖱️ How to Contribute 

If you think that you can add a new feature or want to fix a bug, we invite you to contribute to Calculator and make this project better. To start contributing, follow the below instructions:

1. Create a folder at your desire location (usually at your desktop).

2. Open Git Bash Here

3. Create a Git repository.

   Run command `git init`

4. [Fork](https://github.com/AyushAgnihotri2025/Calculator) the project. Click on the <a href="https://github.com/AyushAgnihotri2025/Calculator/fork"><img src="https://i.imgur.com/G4z1kEe.png" height="15" width="15"></a> icon in the top right to get started.

5. Clone your forked repository of project.

```bash
git clone https://github.com/<your_username>/Calculator.git
```

6. Navigate to the project directory.

```bash
cd Calculator
```

7. Add a reference(remote) to the original repository.

```bash
git remote add upstream https://github.com/AyushAgnihotri2025/Calculator.git
```

8. Check the remotes for this repository.

```bash
git remote -v
```

9. Always take a pull from the upstream repository to your main branch to keep it updated as per the main project repository.

```bash
git pull upstream main
```

10. Create a new branch(prefer a branch name that relates to your assigned issue).

```bash
git checkout -b <YOUR_BRANCH_NAME>
```

11. Perform your desired changes to the code base.

12. Check your changes.

```bash
git status
```

```bash
git  diff
```

13. Stage your changes.

```bash
git add . <\files_that_you_made_changes>
```

14. Commit your changes.

```bash
git commit -m "Commit Message"
```

15. Push the committed changes in your feature branch to your remote repository.

```bash
git push -u origin <your_branch_name>
```

16. To create a pull request, click on `compare and pull requests`.

17. Add an appropriate title and description to your PR explaining your changes.

18. Click on `Create pull request`.

Congratulations🎉, you have made a PR to the Calculator.
Wait for your submission to be accepted and your PR to be merged by a maintainer.

## 🫴 How to Do Your First Pull Request?  
   ***(I am providing some Resource from where you can Learn)***

1. [Learn from Video](https://www.youtube.com/watch?v=nkuYH40cjo4)
2. [Open Source Guide](https://opensource.guide/how-to-contribute/)

## 👩🏽‍💻 Contributing

- Contributions make the open source community such an amazing place to learn, inspire, and create.
- Any contributions you make are greatly appreciated.
- Check out our [contribution guidelines](/CONTRIBUTING.md) for more information.


## Want to contribute?
- Take a look at [`contributing ideas.`](Contributionidea.md).
- Take a look at [`contributing guidelines`](CONTRIBUTING.md).
- Refer [GitHub Flow](https://guides.github.com/introduction/flow).

## Code of Conduct

- [Code of Conduct](CODE_OF_CONDUCT.md)

## 🙏🏽 Support

This project needs a star️ from you. Don't forget to leave a star✨
Follow my Github for content
<br>
<br>
<hr>
<h6 align="center">© Ayush Agnihotri 2022 
<br>
All Rights Reserved</h6>
